<script lang="ts">
  // Define props
  export let active: string | undefined;

  import { page } from '$app/stores';
</script>

<ul>
  <li class="!mb-5 opacity-50">
    <span
      ><svg
        class="mr-3 inline-block h-5 w-5 align-text-bottom"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 18 18"
        ><g fill="currentColor"
          ><path
            d="M9 15.75a6.75 6.75 0 1 0 0-13.5 6.75 6.75 0 0 0 0 13.5ZM9 18A9 9 0 1 1 9 0a9 9 0 0 1 0 18Z"
          /><circle cx="9" cy="9" r="4.5" /></g
        ></svg
      > Home</span
    >
  </li>

  <li class:active={active === 'berichtenbox'}>
    <a href="/{$page.params.sqid}"
      ><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"
        ><g fill="currentColor" fill-rule="evenodd"
          ><path
            d="M10.414 11.638a.75.75 0 0 1-.828 0L1 5.95v9.3c0 .14.081.26.197.323l5.666-4.138s.086.064.005.163l-3.29 4.026h12.844l-3.29-4.026c-.081-.1.005-.163.005-.163l5.665 4.138A.37.37 0 0 0 19 15.25v-9.3l-8.586 5.688z"
          /><path
            d="M18.943 4.19a.37.37 0 0 0-.318-.19H1.375a.37.37 0 0 0-.319.19L10 10.112l8.943-5.924z"
          /></g
        ></svg
      > Berichtenbox</a
    >
  </li>

  <li class="!mb-5 opacity-50">
    <span
      ><svg
        viewBox="0 0 20 20"
        xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        ><path
          fill="currentColor"
          d="M4.076 13.55c.22.01.419.08.613.17 1.601.749 3.208 1.489 4.805 2.245.354.168.67.166 1.02.004 1.602-.746 3.214-1.476 4.814-2.225.49-.23.942-.26 1.422.016.335.19.702.334 1.05.505.257.125.263.228.019.367-.168.096-.35.17-.527.25-2.29 1.03-4.583 2.057-6.87 3.096-.353.16-.667.165-1.02 0-2.38-1.106-4.767-2.201-7.15-3.301-.112-.051-.254-.091-.252-.232.002-.131.142-.162.245-.206.47-.205.943-.406 1.414-.608.133-.057.273-.08.417-.081Zm.007-4.36c.19-.009.372.056.551.14 1.604.745 3.215 1.48 4.81 2.242.404.193.749.181 1.14-.003 1.587-.742 3.182-1.467 4.77-2.208.46-.215.895-.239 1.352.008.349.188.72.341 1.077.514.282.137.294.253.007.392-.589.285-1.188.55-1.786.82-1.84.828-3.683 1.65-5.517 2.49-.398.181-.746.186-1.146 0-2.276-1.063-4.56-2.109-6.842-3.16-.081-.037-.163-.072-.24-.112-.109-.056-.254-.092-.258-.23-.004-.148.15-.175.258-.223.447-.195.897-.383 1.343-.576a1.05 1.05 0 0 1 .481-.095Zm5.83.18c.178.018.34-.058.5-.131l2.276-1.024c1.638-.737 3.277-1.473 4.912-2.213.172-.078.408-.136.399-.36-.008-.203-.25-.217-.401-.286-1.814-.84-3.631-1.671-5.448-2.503-.563-.257-1.13-.51-1.695-.762a.891.891 0 0 0-.774-.004c-2.476 1.136-4.954 2.267-7.43 3.402-.108.049-.26.08-.252.228.008.139.152.175.262.226l7.18 3.31c.146.067.293.129.472.117"
        /></svg
      > Lopende zaken</span
    >
  </li>

  <li class="opacity-50">
    <span
      ><svg
        viewBox="0 0 20 20"
        xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        ><path
          fill="currentColor"
          d="m10.291 14.005 1.469 2.451H3s.283-2.86 1.012-3.626c.623-.656 2.625-1.228 3.205-1.384a.15.15 0 0 0 .017.01c.776.404 1.497.296 1.727.22.138-.045.138-.119.103-.18-.384-.018-.752-.109-.957-.28-.775-.653-1.405-1.388-1.556-2.646-.471-.145-.565-.732-.565-1.099 0-.366.064-.565.196-.626a.29.29 0 0 1 .201-.014c-.068-.773-.145-2.277.256-2.793.371-.478 1.076-.764 1.72-.939.927-.253 1.287.024 1.817.305.806-.203 1.269-.042 1.617.58.319.568.272 2.08.224 2.843a.283.283 0 0 1 .181.018c.132.061.196.26.196.626 0 .367-.094.954-.565 1.1a3.843 3.843 0 0 1-.983 2.091s.022.213.064.398c.046.21.186.386.393.443.638.174 1.923.56 2.673 1.018l-.771.863-1.07-.927a1.219 1.219 0 0 0-1.844 1.548Zm6.22-2.712a.449.449 0 0 1 .116.595l-2.93 4.852a.45.45 0 0 1-.385.216h-.002a.452.452 0 0 1-.384-.219l-1.919-3.202a.45.45 0 0 1 .681-.571l1.583 1.372 2.636-2.981a.45.45 0 0 1 .604-.062Z"
        /></svg
      >
      Identiteit</span
    >
  </li>

  <li class:active={active === 'dataverwerkingen'}>
    <a href="/{$page.params.sqid}/dataverwerkingen"
      ><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"
        ><path
          fill="currentColor"
          d="M13 9h5.5L13 3.5zM6 2h8l6 6v12a2 2 0 0 1-2 2H6a2 2 0 0 1-2-2V4c0-1.11.89-2 2-2m9 16v-2H6v2zm3-4v-2H6v2z"
        /></svg
      > Dataverwerkingen</a
    >
  </li>

  <li class="opacity-50">
    <span
      ><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20"
        ><path
          fill="currentColor"
          d="M3.991 9.482V7.781H5.42c.378-1.54 1.077-2.705 2.1-3.496 1.022-.792 2.274-1.187 3.758-1.187.42 0 .809.017 1.166.053.357.035.76.101 1.207.199v2.373a24.79 24.79 0 0 0-1.291-.21 9.148 9.148 0 0 0-1.144-.063c-.757 0-1.372.2-1.848.598-.477.4-.826.977-1.05 1.733h3.696v1.701h-3.99a8.29 8.29 0 0 0-.032 1.218c.007.112.017.217.032.315h3.99v1.659H8.296c.224.784.587 1.351 1.091 1.701a2.95 2.95 0 0 0 1.723.525 9.5 9.5 0 0 0 1.291-.074c.357-.049.808-.129 1.355-.241v2.247c-.589.14-1.064.231-1.428.273-.365.042-.833.063-1.408.063-1.47 0-2.698-.371-3.685-1.113-.987-.742-1.634-1.869-1.942-3.381H3.991v-1.659h1.133v-.42a15.902 15.902 0 0 1 .043-1.113H3.99z"
        /></svg
      >
      Financiën</span
    >
  </li>

  <li class="opacity-50">
    <span
      ><svg
        width="20"
        height="20"
        viewBox="0 0 20 20"
        xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        ><path
          fill="currentColor"
          d="M11.304 12.871v.621c0 .342-.298.62-.665.62h-1.33c-.366 0-.663-.278-.663-.62v-.62c0-.01.005-.018.005-.027-2.808-.105-4.78-.52-5.986-.875v4.004c0 .343.322.62.69.62h13.29a.62.62 0 0 0 .64-.62v-3.989c-1.218.353-3.192.762-5.987.863.001.008.006.015.006.023m.69-7.446h-1.355v3.723h-1.33V5.425H8.008v-.87c0-.052.077-.14.117-.147a10.653 10.653 0 0 1 3.748 0c.044.008.121.095.121.148v.869Zm5.465.543c-.042-.31-.324-.543-.658-.543h-3.479v-.87c0-.643-.524-1.243-1.197-1.366a12.078 12.078 0 0 0-4.252 0c-.67.123-1.196.723-1.196 1.367v.869H3.199c-.334 0-.616.233-.658.543l-.536 3.957a.613.613 0 0 0 .415.655c.974.347 3.456 1.05 7.58 1.05 4.124 0 6.605-.703 7.58-1.05a.613.613 0 0 0 .415-.655l-.536-3.957Z"
        /></svg
      >
      Werk</span
    >
  </li>

  <li class="opacity-50">
    <span
      ><svg
        width="20"
        height="20"
        viewBox="0 0 20 20"
        xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        ><path
          fill="currentColor"
          d="m13.586 7.726-3.372 5.212a.527.527 0 0 1-.443.233H9.77a.528.528 0 0 1-.442-.235L7.12 9.496a.462.462 0 0 1 .111-.62.547.547 0 0 1 .672.006l1.822 1.474 3.033-3.203a.544.544 0 0 1 .694-.066.463.463 0 0 1 .134.639m2.107-4.305C11.87 1.834 10 5.247 10 5.247S8.13 1.834 4.307 3.42C.535 4.987.787 12.753 9.626 17.077a.866.866 0 0 0 .747 0c8.84-4.324 9.092-12.09 5.32-13.656"
        /></svg
      >
      Gezondheid</span
    >
  </li>

  <li class="opacity-50">
    <span
      ><svg
        width="20"
        height="20"
        viewBox="0 0 20 20"
        xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        ><path
          fill="currentColor"
          d="m16.977 9.244-6.705-6.17a.283.283 0 0 0-.384 0l-6.705 6.17A.567.567 0 0 0 3 9.66v.42c0 .156.127.283.283.283h1.133v5.947h4.248v-4.248h2.832v4.248h4.248v-5.947h1.132a.283.283 0 0 0 .284-.283v-.42a.566.566 0 0 0-.183-.416"
        /></svg
      >
      Wonen</span
    >
  </li>

  <li class="opacity-50">
    <span
      ><svg
        width="20"
        height="20"
        viewBox="0 0 20 20"
        xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        ><path
          fill="currentColor"
          d="m16.564 11.218-.078.472a.996.996 0 0 1-.917.784l-1.883.132c-.114.008-.206-.082-.179-.172l.21-.679c.107-.285.357-.512.69-.624l1.524-.371c.338-.082.681.166.633.458ZM8.08 13.805h3.84v-.84H8.08v.84Zm-1.765-1.199-1.883-.132a.996.996 0 0 1-.917-.784l-.078-.472c-.048-.292.295-.54.633-.458l1.525.371c.332.112.582.339.69.624l.209.679c.027.09-.065.18-.179.172Zm-.508-7.278c.189-.082 1.567-.222 4.193-.222 2.628 0 4.006.14 4.195.222.186.276.779 2.07.95 2.794-.936.228-3.064.382-5.145.382-2.079 0-4.207-.154-5.142-.382.169-.724.763-2.518.95-2.794ZM17.2 8.881c.38-.228.618-.501.686-.637.141-.283.048-.771-.492-.863-.238-.04-.69-.002-1.09.047-.31-.976-.848-2.563-1.163-2.851C14.718 4.192 13.24 4 10 4s-4.718.192-5.14.577c-.314.288-.853 1.875-1.163 2.851-.4-.049-.852-.087-1.09-.047-.54.092-.633.58-.492.863.068.136.307.409.686.637C2.18 9.61 2 10.244 2 11.423v3.222s0 .943.15 1.57c.054.229.297.391.575.391h2.069c.279 0 .52-.162.576-.391.083-.35.12-.798.137-1.126l-1.961-.342c-.102-.028-.087-.086-.08-.102h13.068c.007.016.022.074-.08.102l-1.96.342c.015.328.053.776.136 1.126.055.229.297.391.576.391h2.069c.278 0 .52-.162.574-.391.151-.627.151-1.57.151-1.57v-3.222c0-1.179-.182-1.813-.8-2.542Z"
        /></svg
      >
      Vervoer</span
    >
  </li>

  <li class="!mb-5 opacity-50">
    <span
      ><svg
        width="20"
        height="20"
        viewBox="0 0 20 20"
        xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        ><path
          fill="currentColor"
          d="m19.885 7.155-9.68-3.123a.663.663 0 0 0-.41 0L.115 7.155a.167.167 0 0 0-.009.313l1.895.734v2.356a.992.992 0 0 0-.333.74c0 .255.098.485.255.662-.478.75-1.065 2.015-1.098 2.593-.04.686.843.972 1.274 1.05.432.08 1.451.028 1.549-.815.076-.656-.191-2.111-.314-2.726v-.024a.99.99 0 0 0 0-1.48v-1.84l5.23 2.028c0 .021-.01.094-.128.088l-3.77-.6v3.375h.004c0 .008-.003.014-.003.022 0 1.289 2.388 2.333 5.333 2.333 2.945 0 5.332-1.044 5.332-2.333l-.002-.022h.002V9.234l4.562-1.766a.167.167 0 0 0-.01-.313"
        /></svg
      >
      Onderwijs</span
    >
  </li>

  <li class="opacity-50">
    <span
      ><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20"
        ><path
          fill="currentColor"
          d="M10 7.438A2.568 2.568 0 0 0 7.434 10 2.57 2.57 0 0 0 10 12.564 2.567 2.567 0 0 0 12.565 10 2.565 2.565 0 0 0 10 7.438zm8 2.978a.71.71 0 0 1-.382.596l-1.427.66a1.13 1.13 0 0 0-.548.545l-.08.195c-.089.216-.081.565.017.776l.564 1.431a.688.688 0 0 1-.137.69l-.648.648a.706.706 0 0 1-.688.148l-1.471-.543a1.142 1.142 0 0 0-.77-.007l-.207.086a1.093 1.093 0 0 0-.53.558l-.615 1.411a.685.685 0 0 1-.58.39h-.923a.704.704 0 0 1-.589-.386l-.656-1.412a1.142 1.142 0 0 0-.541-.554l-.208-.086a1.094 1.094 0 0 0-.764.017l-1.441.569a.685.685 0 0 1-.684-.139l-.65-.649a.712.712 0 0 1-.146-.693l.538-1.463c.093-.214.096-.565.007-.78l-.08-.193a1.09 1.09 0 0 0-.554-.535l-1.422-.619A.687.687 0 0 1 2 10.49v-.907a.71.71 0 0 1 .38-.596l1.425-.657c.215-.083.461-.329.55-.544l.08-.196c.09-.216.081-.565-.016-.776l-.563-1.431a.688.688 0 0 1 .136-.689l.648-.648a.705.705 0 0 1 .689-.149l1.475.541c.21.092.557.095.77.006l.203-.084c.21-.088.45-.339.53-.558l.615-1.411A.686.686 0 0 1 9.502 2h.923c.228 0 .494.174.589.386l.655 1.414c.085.217.329.466.541.554l.208.085c.211.088.555.08.763-.017l1.443-.568a.685.685 0 0 1 .684.139l.648.647a.71.71 0 0 1 .146.693l-.536 1.463a1.15 1.15 0 0 0-.007.781l.08.197c.09.215.337.455.554.533l1.421.618a.687.687 0 0 1 .386.586v.905z"
        /></svg
      >
      Instellingen</span
    >
  </li>
</ul>

<style lang="postcss">
  li {
    @apply mb-1.5;

    span,
    a {
      @apply flex cursor-pointer items-center rounded-md px-4 py-1.5 hover:bg-[#f3f3f3];
      word-break: break-word;
    }

    &.active a {
      @apply bg-sky-400/20 font-semibold text-sky-800;
    }

    svg {
      @apply mr-4 h-5 w-5 shrink-0;
    }
  }
</style>
